Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRHighLowPlot

All Superinterfaces:
  java.lang.Cloneable, JRChartPlot, JRCloneable, JRTimeAxisFormat, JRValueAxisFormat

All Known Implementing Classes:
  JRBaseHighLowPlot, JRDesignHighLowPlot, JRFillHighLowPlot

    public interface JRHighLowPlot

extends JRChartPlot, JRTimeAxisFormat, JRValueAxisFormat

Version:
  $Id: JRHighLowPlot.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Method Summary
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`java.lang.Boolean` | `getShowCloseTicks()`
`java.lang.Boolean` | `getShowOpenTicks()`
`JRExpression` | `getTimeAxisLabelExpression()`
`JRExpression` | `getValueAxisLabelExpression()`
`boolean` | `isShowCloseTicks()` Deprecated. Replaced by `getShowCloseTicks()`
`boolean` | `isShowOpenTicks()` Deprecated. Replaced by `getShowOpenTicks()`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.charts.JRTimeAxisFormat
`getOwnTimeAxisLabelColor, getOwnTimeAxisLineColor, getOwnTimeAxisTickLabelColor, getTimeAxisLabelColor, getTimeAxisLabelFont, getTimeAxisLineColor, getTimeAxisTickLabelColor, getTimeAxisTickLabelFont, getTimeAxisTickLabelMask, getTimeAxisVerticalTickLabels`

Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat
`getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

Method Detail

### getTimeAxisLabelExpression

    JRExpression getTimeAxisLabelExpression()

### getValueAxisLabelExpression

    JRExpression getValueAxisLabelExpression()

### getDomainAxisMinValueExpression

    JRExpression getDomainAxisMinValueExpression()

### getDomainAxisMaxValueExpression

    JRExpression getDomainAxisMaxValueExpression()

### getRangeAxisMinValueExpression

    JRExpression getRangeAxisMinValueExpression()

### getRangeAxisMaxValueExpression

    JRExpression getRangeAxisMaxValueExpression()

### isShowOpenTicks

    boolean isShowOpenTicks()

  Deprecated. Replaced by `getShowOpenTicks()`

### getShowOpenTicks

    java.lang.Boolean getShowOpenTicks()

### isShowCloseTicks

    boolean isShowCloseTicks()

  Deprecated. Replaced by `getShowCloseTicks()`

### getShowCloseTicks

    java.lang.Boolean getShowCloseTicks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com